%{?nodejs_find_provides_and_requires}

%global packagename bn.js
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 4.11.6
Release: 1%{?dist}.3
Summary: Big number implementation in pure javascript
License: MIT
URL: https://github.com/indutny/bn.js
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 2.1.0
BuildRequires: npm(mocha) < 3.0.0
%endif

%description
BigNum in pure javascript.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib util \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --reporter=spec test/*-test.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 4.11.6-1
- Initial package.
